#bash

#Writes temp data files and creates for each language and all langs:
#poetry vs. prose
#number of segments in poetry
#number of segments in prose


for lang in English Russian French Chinese Greek all
do
echo $lang
for ttype in medial initial final S
do
echo $ttype
python /proj/aesop/predict_next/bin/read_save.py -l $lang -cat N -out effect_size2 -select "ttype=='$ttype'" -d 'ttype_'$ttype
echo "finished saving"
echo "drawing diagram"
python /proj/aesop/predict_next/bin/histo_any.py '/proj/aesop/predict_next/SpeechProsody2/temp_txt/ttype_'$ttype'/'$lang'_all_N_effect_size2' '-s' '/proj/aesop/predict_next/SpeechProsody2/histo/ttype_'$ttype
for p in poetry prose
do 
echo $p
python /proj/aesop/predict_next/predict_next/bin/read_save.py -l $lang -$p -cat N -out effect_size2 -select "ttype=='$ttype'" -d 'ttype_'$ttype
python /proj/aesop/predict_next/bin/histo_any.py '/proj/aesop/predict_next/SpeechProsody2/temp_txt/ttype_'$ttype'/'$lang'_'$p'_N_effect_size2' '-s' '/proj/aesop/predict_next/SpeechProsody2/histo/ttype_'$ttype
done
done
done
